Module org.jfree.chart3d
Package org.jfree.chart3d.data.xyz

# Class XYZItemKeys

java.lang.Object
org.jfree.chart3d.data.xyz.XYZItemKeys

public class XYZItemKeys extends Object
Utility methods.

Since:
  1.3

## Constructor Summary

Constructors
Constructor
Description
`XYZItemKeys()`

## Method Summary

Modifier and Type
Method
Description
`static <S extends Comparable<S>>
Collection<XYZItemKey<S>>`
`itemKeysForSeries(XYZDataset<S> dataset, S seriesKey)`
Returns a collection of item keys extracted from one series in the specified dataset.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XYZItemKeys

public XYZItemKeys()

## Method Details

### itemKeysForSeries

public static <S extends Comparable<S>> Collection<XYZItemKey<S>> itemKeysForSeries(XYZDataset<S> dataset, S seriesKey)
Returns a collection of item keys extracted from one series in the specified dataset.

Type Parameters:
  `S` - the type of the series key.
Parameters:
  `dataset` - the dataset (`null` not permitted).
  `seriesKey` - the series key (`null` not permitted).
Returns:
  A boolean.